/**************************************************************************
 *
 * Filename:    PicoInfo.java
 *
 * Copyright:   Pico Technology Limited 2014
 *
 * Author:      HSM
 *
 * Description:
 *      PicoInfo contains a set of constants used to define PICO_INFO constants 
 *      listed in the PicoStatus.h file.
 *
 * History:
 *     19Aug14 HSM Created
 *
 * Revision Info: "file %n date %f revision %v"
 *						""
 *
 ***************************************************************************/
package com.picotech.picoscope;

/**
 * PicoInfo contains a set of constants used to define PICO_INFO constants 
 * listed in the PicoStatus.h file.
 * @author HSM
 */
public final class PicoInfo 
{
    public static final int PICO_DRIVER_VERSION             = 0;											
    public static final int PICO_USB_VERSION                = 1;
    public static final int PICO_HARDWARE_VERSION           = 2;
    public static final int PICO_VARIANT_INFO               = 3;
    public static final int PICO_BATCH_AND_SERIAL           = 4;
    public static final int PICO_CAL_DATE                   = 5;
    public static final int PICO_KERNEL_VERSION             = 6;
    public static final int PICO_DIGITAL_HARDWARE_VERSION   = 7;
    public static final int PICO_ANALOGUE_HARDWARE_VERSION  = 8;
    public static final int PICO_FIRMWARE_VERSION_1         = 9;
    public static final int PICO_FIRMWARE_VERSION_2         = 10;
    public static final int PICO_MAC_ADDRESS                = 11;
}
